#include<iostream>
#include<algorithm>
using namespace std;
int main()

{
	long long n, k, m;
	cin>>n;
	long long a[n];
	long long b[n];
	for(long long i=0; i<n; i++)
	{
		cin>>a[i];
		b[i]=a[i];
	}
	sort(b, b+n, greater<int>());
	for(long long i=0; i<n; i++)
	{
		if(b[i]>a[i])
		{
			k=b[i];
			m=a[i];
			a[i]=k;
			for(long long s=n-1; s>=0; s--)
			{
				if(a[s]==k)
				{
					a[s]=m;
				    break;
				}
			}
			for(long long i=0; i<n; i++)
			{
				cout<<a[i]<<" ";
			}
			goto stop;
		}
	
			
		}
	for(long long i=0; i<n-2; i++)
	{
		cout<<a[i]<<" ";
	}
	cout<<a[n-1]<<" "<<a[n-2];
	
	stop: return 0;
		
}